require("scripts/styles/style.lua");
require("scripts/styles/deco_animations.lua");

MakeState{
	type = "StateMinigameMessage",
	BlgMovieClip{		
		BlgContainer{
			transformMatrix = {x = 112, y = 84},

			BlgMovieClip{
				commands = {
					[219] = function()
						PopOnNextUpdate();
					end,
				},
				
				SetStyle(MiniGameTutorial1Style),
				BlgContainer{	
					BlgText {
						label = gDialogTable.tutorialText,
						flags = kHAlignCenter + kVAlignTop,
						w = 600,
						h = 300,
						font = {
							standardFont,
							50,
							Color(0, 0, 0),
						},
						alpha = 0.5,

						transformMatrix = {x = 102, y = 202},
						
					},
					BlgText {
						label = gDialogTable.tutorialText,
						flags = kHAlignCenter + kVAlignTop,
						w = 600,
						h = 300,
						font = {
							standardFont,
							50,
							Color(255, 255, 255),
						},

						transformMatrix = {x = 100, y = 200},
					},
				},
			},

			animation = nil,
		},
	}
};
